##  webman如何获得请求对象
webman会自动将请求对象注入到action方法第一个参数中，例如

**例子**
```php
<?php
namespace app\controller;

use support\Request;

class UserController
{
    public function hello(Request $request)
    {
        $default_name = 'webman';
        // 从get请求里获得name参数，如果没有传递name参数则返回$default_name
        $name = $request->get('name', $default_name);
        // 向浏览器返回字符串
        return response('hello ' . $name);
    }
}
```

通过`$request`对象我们能获取到请求相关的任何数据。

**有时候我们想在其它类中获取当前请求的`$request`对象，这时候我们只要使用助手函数`request()`即可**;