## webman如何获取请求uri
```php
$request->uri();
```
返回请求的uri，包括path和queryString部分。

## webman如何获取请求路径

```php
$request->path();
```
返回请求的path部分。


## webman如何获取请求queryString

```php
$request->queryString();
```
返回请求的queryString部分。

## webman如何获取请求url
`url()`方法返回不带有`Query` 参数 的 URL。
```php
$request->url();
```
返回类似`//www.workerman.net/workerman-chat`

`fullUrl()`方法返回带有`Query` 参数 的 URL。
```php
$request->fullUrl();
```
返回类似`//www.workerman.net/workerman-chat?type=download`

> **注意**
> `url()` 和 `fullUrl()` 没有返回协议部分(没有返回http或者https)。
> 因为浏览器里使用 `//example.com` 这样以`//`开头的地址会自动识别当前站点的协议，自动以http或https发起请求。

如果你使用了nginx代理，请将 `proxy_set_header X-Forwarded-Proto $scheme;` 加入到nginx配置中，[参考nginx代理](https://www.workerman.net/doc/webman/others/nginx-proxy.html)，
这样就可以用`$request->header('x-forwarded-proto');`来判断是http还是https，例如：
```php
echo $request->header('x-forwarded-proto'); // 输出 http 或 https
```
