## webman如何置cookie

```php
<?php
namespace app\controller;

use support\Request;

class FooController
{
    public function hello(Request $request)
    {
        return response('hello webman')
        ->cookie('foo', 'value');
    }
}
```

你也可以提前设置cookie，最后设置要返回的数据。
```php
public function hello(Request $request)
{
    // 创建一个对象
    $response = response();
    
    // .... 业务逻辑省略
    
    // 设置cookie
    $response->cookie('foo', 'value');
    
    // .... 业务逻辑省略

    // 设置要返回的数据
    $response->withBody('返回的数据');
    return $response;
}
```

cookie方法完整参数如下：

`cookie($name, $value = '', $max_age = 0, $path = '', $domain = '', $secure = false, $http_only = false)`